//-------------------------------------------------------------------
// ECLFieldList.GetFieldCount()
//
// Display number of fields on the screen.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample40 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample40()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

       ECLPS        ps;           // PS object
       ECLFieldList fieldList;    // field list object

       ps = s.GetPS();                     // Get instance of ECLPS

       try {
          fieldList = ps.GetFieldList(ECLFieldList.ALL_PLANES);     // Get pointer to field list
          System.out.println("There are " + fieldList.GetFieldCount() +" fields on the screen.");
       } catch (ECLErr e) { System.out.println("Sample40(): " + e.GetMsgText()); }
   } // end sample

}
