import com.ibm.eNetwork.ECL.*;


public class SALogoutLaunch extends Thread
{
   // to invoke the logout, simple enter the command "logout"


  ECLPS ps;
  Object EndingCallLock;

  public SALogoutLaunch(ECLPS InitialPS, Object InitialCallLock)
  {
    ps = InitialPS;
    EndingCallLock = InitialCallLock;
  }


  public void run()
  {
    try
    {
      ps.SendKeys("logout"+ps.ENTER_STR);
    }
    catch(Exception e)
    { System.out.println("SALogoutLaunch: SendKeys(logout) Exception");
    }


    // Allow the logout to interact with the Host, before bringing down
    // the applet
    try { sleep(3000); }
    catch (InterruptedException e)
      { /* System.out.println("SALogon: catch sleep InterruptedException"); */  }

    // Tell the waiting thread (the "main" thread in the LaunchBase)
    // that we have completed the logout.
    synchronized(EndingCallLock)
    {
      EndingCallLock.notify();
    }

  }
}
